<template>
  <div class="admin-collection">
    <div class="admin-collection__header">
      <div class="admin-collection__title">
        <slot name="title" />
      </div>
      <div class="admin-collection__actions">
        <slot name="actions" />
      </div>
    </div>
    <div class="admin-collection__table">
      <slot />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'

export default defineComponent({
  name: 'AdminCollection'
})
</script>

<style lang="scss" scoped>
.admin-collection {
  &__header {
    grid-area: title;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  &__title {
    margin-right: 24px;
  }
}
</style>
